### Method

# Soup Message set_uri

#### Declaration [src]

    void
    soup_message_set_uri (
      SoupMessage* msg,
      GUri* uri
    )

#### Description [src]

Sets `msg`‘s URI to `uri`.

If `msg` has already been sent and you want to re-send it with the new URI, you need to send it again.

Sets property | `Soup.Message:uri`

#### Parameters

`uri`

  Type: `GUri`

  The new `GUri`.

  The data is owned by the caller of the function.